{
  "name": "nestjs-api-starter",
  "version": "0.0.1",
  "description": "an example starter project for delivering production grade REST APIs with NestJS",
  "author": "Joe Honour <joe.honour@and.digital>",
  "private": true,
  "license": "UNLICENSED",
  "scripts": {
    "prebuild": "rimraf dist",
    "build": "nest build",
    "format": "prettier --write \"src/**/*.ts\" \"test/**/*.ts\"",
    "start": "NODE_ENV=development nest start",
    "start:dev": "NODE_ENV=development nest start --watch",
    "start:debug": "NODE_ENV=development nest start --debug --watch",
    "start:prod": "NODE_ENV=production node dist/main",
    "lint": "eslint \"{src,apps,libs,test}/**/*.ts\" --fix",
    "test": "jest",
    "test:watch": "jest --watch ./src",
    "test:cov": "jest --coverage",
    "test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
    "build:docker": "docker build --rm -f docker/Dockerfile -t org.and/nestjs-api-starter:latest .",
    "start:docker": "docker run --rm -e MONGO_DB_CONNECTION_URL=mongodb://application-user:password@host.docker.internal:27017/example-api-db org.and/nestjs-api-starter:latest",
    "compose:up": "docker-compose -f docker/docker-compose.yml up -d",
    "compose:up:app": "docker-compose -f docker/docker-compose.yml -f docker/docker-compose.override.yml up -d",
    "compose:down": "docker-compose -f docker/docker-compose.yml -f docker/docker-compose.override.yml down -v",
    "compose:logs": "docker-compose -f docker/docker-compose.yml -f docker/docker-compose.override.yml logs -f",
    "openapi:generate": "npm run compose:up; npm run build; GENERATE_OPENAPI_SPEC=true nest start; npm run compose:down"
  },
  "dependencies": {
    "@nestjs/common": "^7.5.1",
    "@nestjs/core": "^7.5.1",
    "@nestjs/mongoose": "^7.2.0",
    "@nestjs/platform-express": "^7.5.1",
    "@nestjs/swagger": "^4.7.8",
    "mongoose": "^5.11.8",
    "reflect-metadata": "^0.1.13",
    "rimraf": "^3.0.2",
    "rxjs": "^6.6.3",
    "swagger-ui-express": "^4.1.6"
  },
  "devDependencies": {
    "@nestjs/cli": "^7.5.1",
    "@nestjs/schematics": "^7.1.3",
    "@nestjs/testing": "^7.5.1",
    "@types/express": "^4.17.8",
    "@types/jest": "^26.0.15",
    "@types/node": "^14.14.6",
    "@types/supertest": "^2.0.10",
    "@typescript-eslint/eslint-plugin": "^4.6.1",
    "@typescript-eslint/parser": "^4.6.1",
    "eslint": "^7.12.1",
    "eslint-config-prettier": "7.0.0",
    "eslint-plugin-prettier": "^3.1.4",
    "jest": "^26.6.3",
    "prettier": "^2.1.2",
    "supertest": "^6.0.0",
    "testcontainers": "^6.4.0",
    "ts-jest": "^26.4.3",
    "ts-loader": "^8.0.8",
    "ts-node": "^9.0.0",
    "tsconfig-paths": "^3.9.0",
    "typescript": "^4.0.5"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": ".",
    "testRegex": ".*spec\\.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "collectCoverageFrom": [
      "src/**/*.(t|j)s"
    ],
    "coverageDirectory": "./coverage",
    "testEnvironment": "node",
    "testTimeout": 60000
  }
}
